﻿package
{
	import flash.display.Sprite;
	import flash.display.Stage;
	import flash.events.Event;
	import flash.events.MouseEvent;
	public class Brancher extends Sprite
	{
		private var rot:Number;
		private var theta:Number=0;
		private var stack:Array = new Array();
		private var i:Number;
		private var centerX:Number;
		private var centerY:Number;
		public function Brancher()
		{
			addEventListener(Event.ADDED_TO_STAGE,addedHandler);
		}
		private function addedHandler(e:Event):void
		{
			stage.addEventListener(MouseEvent.CLICK,clickHandler);
		}
		private function clickHandler(e:MouseEvent):void
		{
			centerX = e.stageX;
			centerY = e.stageY;
			theta= Math.random()*360;
			i=0;
			addEventListener(Event.ENTER_FRAME,enterHandler);
		}
	
		private function enterHandler(e:Event):void
		{
			rot=-3*Math.sin(Math.PI / 180 * theta);
			theta+=0.2;
			if(i<10){
				stack[i] = new Sprite();
				stack[i].graphics.beginFill(Math.random()*0x3373d2,0.3);    
				//stack[i].graphics.lineStyle();
				stack[i].graphics.drawRect(24*Math.random()+10,12,12,22);
				stack[i].graphics.drawCircle(20*Math.random()+10,12,12);
				stack[i].x = centerX+Math.sin(rot)*i*3;
				stack[i].y = centerY-Math.sin(rot)*i*3;
				stack[i].scaleX =1-i/15*mouseX;
				stack[i].scaleY =1-i/15;
				
				addChild(stack[i]);
				i++;
			}else{
				removeEventListener(Event.ENTER_FRAME,enterHandler);
			}
		}
	}
}